// Variables : Nom et prénom
lastname = "Seed";
firstname = "Robot";


// Taille de la carte
width = 86;
height = 54;
thickness = 2;


// Import des fichiers définissant le logo et le texte
use <../../logo_mdl.scad>
use <../../texte_mdl.scad>


// Module d'écriture
module write() {
    size = 8;
    font = "Courier 10 Pitch:style=Regular";
    translate([10,0,1])
    rotate([0,0,90])
    linear_extrude(3) union() {
        translate([2, -5, 0]) text(lastname, size = size, font = font, halign = "center");
        translate([2, -18, 0]) text(firstname, size = size, font = font, halign = "center");
    } 
}

difference() {
    union() {
        // La fonction minkowski sert à arrondir les angles en "balladant" un cylindre le long du carré
        minkowski() {
            // $fn définit le nombre de facette sur un cercle
            $fn = 20;
            cube([width - 2, height - 2, 0.01], center = true);
            cylinder(d = 2, h = thickness);
        }
        // On affiche le logo et le texte
        translate([-16, 7, 0]) scale([0.17, 0.17, 1]) translate([-20, 0, 0]) logo(3);
        translate([-16, -17, 0]) scale([0.17, 0.17, 1]) translate([-20, 0, 0]) texte(3);
    }
    // On écrit
    write();
}
