// Variables : Nom, prénom et titre
name = "Nom Prénom";
title = "TyFab";


// Taille de la carte
width = 86;
height = 54;
thickness = 2;


// Import du fichier définissant le logo
use <../../logo_tyfab.scad>

// Module d'écriture
module write() {
    font = "Courier 10 Pitch:style=Regular";
    translate([0,0,1])
    linear_extrude(3) union() {
        translate([0, 0, 0]) text(title, size = 10, font = font, valign = "center");
        translate([0, -24, 0]) text(name, size = 8, font = font, halign = "center");
    } 
}

difference() {
    union() {
        // La fonction minkowski sert à arrondir les angles en "balladant" un cylindre le long du carré
        minkowski() {
        // $fn définit le nombre de facette sur un cercle
            $fn = 20;
            cube([width - 2, height - 2, 0.01], center = true);
            cylinder(d = 2, h = thickness);
        }
        // On affiche le logo
        translate([-17, 5, 0]) scale([0.20, 0.20, 1]) translate([-20, 0, 0]) logo(3);
    }
    // On écrit
    write();
}
