// Variables : Nom et prénom
lastname = "Nom";
firstname = "Prénom";


// Taille de la carte
width = 86;
height = 54;
thickness = 2;


// Import des fichiers définissant le logo et le texte
use <../../logo_mdl.scad>
use <../../texte_mdl.scad>


module write() {
    size = 8;
    font = "Courier 10 Pitch:style=Regular";
    translate([10,0,0])
    rotate([0,0,90])
    linear_extrude(3) union() {
        translate([2, -5, 0]) text(lastname, size = size, font = font, halign = "center");
        translate([2, -18, 0]) text(firstname, size = size, font = font, halign = "center");
    } 
}

module carte() {
    difference() {
        // La fonction minkowski sert à arrondir les angles en "balladant" un cylindre le long du carré
        minkowski() {
            $fn = 20;
            cube([width - 2, height - 2, 0.01], center = true);
            cylinder(d = 2, h = thickness);
        }
        // On affiche le logo et le texte
        translate([-16, 7, -0.5]) scale([0.17, 0.17, 1]) translate([-20, 0, 0]) logo(3);
        translate([-16, -17, -0.5]) scale([0.17, 0.17, 1]) translate([-20, 0, 0]) texte(3);
        translate([0, 0, -0.5]) write();
    }
}

projection() carte();
