// Variables : Nom, prénom et titre
name = "Nom Prénom";
title = "TyFab";


// Taille de la carte
width = 86;
height = 54;
thickness = 2;


// Import du fichier définissant le logo
use <../../logo_tyfab.scad>


module write() {
    size = 8;
    font = "Courier 10 Pitch:style=Regular";
    linear_extrude(3) union() {
        translate([0, 0, 0]) text(title, size = 10, font = font, valign = "center");
        translate([0, -24, 0]) text(name, size = 8, font = font, halign = "center");
    } 
}

module carte() {
    difference() {
        // La fonction minkowski sert à arrondir les angles en "balladant" un cylindre le long du carré
        minkowski() {
            $fn = 20;
            cube([width - 2, height - 2, 0.01], center = true);
            cylinder(d = 2, h = thickness);
        }
        // On affiche le logo
        translate([-17, 5, -0.5]) scale([0.17, 0.17, 1]) translate([-20, 0, 0]) logo(3);
        translate([0, 0, -0.5]) write();
    }
}

projection() carte();
