use <../logo_mdl.scad>;

// fudge sert à garantir un modèle manifold
fudge = 0.1;

// Epaisseur du logo
thickness = 10;
// Largeur de rainure
groove_width = 8;
// Hauteur de rainure
groove_height = 120;

// Position des rainures
pos_groove1 = 37;
pos_groove2 = -24;

// Largeur du pied
foot_width = 80;

// Définition de la rainure
module groove(groove_width, groove_height) {
	translate([-fudge, 0, 0]) cube([groove_width + fudge, groove_width, groove_height]);
	translate([-fudge, 0, -fudge]) cube([thickness + 2 * fudge, groove_width, groove_width + fudge]);
}

// Définition du pieds
module foot(foot_width, foot_height, groove_width) {
	// Forme du pieds paramétrique
    points = [
		[-(thickness - groove_width),0],
		[-(thickness - groove_width), groove_width],
		[0, groove_width],
		[0, foot_height], 
		[groove_width, foot_height], 
		[foot_width, groove_width],
		[foot_width, 0]
	];
	// fudge pour que les pieds sont légèrement moins large que la rainure
	linear_extrude(groove_width - 2 * fudge)
 	polygon(points);
}

// La façade est constitué du logo dans lequel on extrude deux rainures
module front() {
		difference() {
			rotate([90, 0, 90]) 
			translate([0, 90, 0]) 
			logo(thickness);

			translate([0, pos_groove1, 0]) groove(groove_width, groove_height);
			translate([0, pos_groove2, 0]) groove(groove_width, groove_height);
		}
}

// Modèle avec pieds accrochés
union() {
	front();
	translate([groove_width, pos_groove1, 0]) rotate([90, 0, 180])
	foot(foot_width, groove_height, groove_width);

	translate([groove_width, pos_groove2, 0]) rotate([90, 0, 180])
	foot(foot_width, groove_height, groove_width);
}

//// Modèle avec pieds séparés
//translate([0, 0, thickness]) rotate([0, 90, 0]) front();
//translate([-10, 10, groove_width]) rotate([0, 180, 0]) foot(foot_width, groove_height, groove_width);
//translate([-10, -10, 0]) rotate([180, 180, 0]) foot(foot_width, groove_height, groove_width);
