use <../logo_mdl.scad>;

// fudge sert à garantir un modèle manifold
fudge = 0.1;

// Epaisseur de la planche à découper
wood_thickness = 4.8;
// Hauteur du pied
foot_height = 200;
// Largeur du pied
foot_width = 120;

//Position des pieds
pos_foot1 = 74;
pos_foot2 = -48;


// Définition du pieds
module foot(foot_width, foot_height, wood_thickness) {
	// Forme du pieds paramétrique
	points = [
		[- 3 * wood_thickness,0],
		[- 3 * wood_thickness,wood_thickness],
		[- wood_thickness, 2 * wood_thickness],
		[- wood_thickness, wood_thickness],
		[0, wood_thickness],
		[0, foot_height], 
		[wood_thickness, foot_height], 
		[foot_width, wood_thickness],
		[foot_width, 0]
	];
	linear_extrude(wood_thickness)
 	polygon(points);
}

// La façade est constitué du logo dans lequel on extrude deux fentes
module front(thickness) {
	difference() {
		scale(2)
		rotate([90, 0, 90]) 
		translate([0, 90, 0]) 
		logo(thickness / 2);

		
		translate([0, pos_foot1, 0]) cube([2 * (thickness + fudge), wood_thickness, wood_thickness + fudge]);
		translate([0, pos_foot2, 0]) cube([2 * (thickness + fudge), wood_thickness, wood_thickness + fudge]);
	}
}

// Surface de la planche
%cube([540, 400, 0.01], center = true);


// Projection des pièces à découper
projection() {
	    translate([-260, 0, 0]) 
	    rotate([0, 90, 0]) 
	    front(wood_thickness);
	    translate([125, -190, -wood_thickness]) rotate([0, 0, 0]) foot(foot_width, foot_height, wood_thickness);
	    translate([245, 50, -wood_thickness]) rotate([0, 0, 180]) foot(foot_width, foot_height, wood_thickness);
}
