use <../logo_mdl.scad>;

// fudge sert à garantir un modèle manifold
fudge = 0.1;

// Epaisseur du plastique à découper
plastic_thickness = 2.6;
// Hauteur du pied
foot_height = 200;
// Largeur du pied
foot_width = 120;

//Position des pieds
pos_groove1 = 74;
pos_groove2 = -48;

// Définition du pieds
module foot(foot_width, foot_height, plastic_thickness) {
	// Forme du pieds paramétrique
	points = [
		[- 6 * plastic_thickness,0],
		[- 3 * plastic_thickness,plastic_thickness * 8],
		[- plastic_thickness, plastic_thickness * 8],
		[- plastic_thickness, 2 * plastic_thickness],
		[0, 2 * plastic_thickness],
		[0, foot_height], 
		[plastic_thickness, foot_height], 
		[foot_width, plastic_thickness],
		[foot_width, 0]
	];
	linear_extrude(plastic_thickness)
 	polygon(points);
}

// La façade est constitué du logo dans lequel on extrude deux fentes
module front(thickness) {
	difference() {
		scale(2)
		rotate([90, 0, 90]) 
		translate([0, 90, 0]) 
		logo(thickness / 2);

		
		translate([0, pos_groove1, 0]) cube([2 * (thickness + fudge), plastic_thickness, plastic_thickness * 2]);
		translate([0, pos_groove2, 0]) cube([2 * (thickness + fudge), plastic_thickness, plastic_thickness * 2]);
	}
}

// Surface de la planche
%cube([540, 400, 0.01], center = true);


// Projection des pièces à découper
projection() {
	    translate([-260, 0, 0]) 
	    rotate([0, 90, 0]) 
	    front(plastic_thickness);
	    translate([125, -190, -plastic_thickness]) rotate([0, 0, 0]) foot(foot_width, foot_height, plastic_thickness);
	    translate([245, 50, -plastic_thickness]) rotate([0, 0, 180]) foot(foot_width, foot_height, plastic_thickness);
}
