use <../logo_tyfab.scad>;

thickness = 40;
bar_size = 10;
foot_height = 210;

pos_foot1 = 90;
pos_foot2 = -110;

foot_width = 100;


module foot(foot_width, foot_height, bar_size, foot_thickness) {
	points = [
		[0,0],
		[0, foot_height], 
		[bar_size, foot_height], 
		[foot_width, bar_size],
		[foot_width, 0]
	];
	linear_extrude(foot_thickness)
 	polygon(points);
}

module front() {
	rotate([90, 0, 90]) 
	translate([0, 90, 0]) 
	logo(thickness);
}

module bar(bar_width) {
	cube([bar_size, bar_width, bar_size], center = true);
}

module support(width, height, bar_width) {
    translate([0, pos_foot1, 0]) rotate([90, 0, 180]) 
    foot(foot_width, foot_height, bar_width, thickness / 2);

    translate([0, pos_foot2, 0]) rotate([90, 0, 180])
    foot(foot_width, foot_height, bar_size, thickness / 2);

    translate([0, pos_foot2, 0]) 
    rotate([90, 0, 180])
    difference() {
        ratio = 1 / 4;
        foot(foot_width, foot_height, bar_size, pos_foot1 - pos_foot2);
        translate([-1, ratio * foot_height,0]) 
        cube([foot_width + 2, foot_height, pos_foot1 - pos_foot2]);
    }

    translate([0, 1, 200]) bar(pos_foot1 - pos_foot2 + 1);
    translate([0, 1, 130]) bar(pos_foot1 - pos_foot2 + 1);
}

union() {
	translate([-5, 0, 50]) front();

        support(foot_width, foot_height, bar_size);
	
}


